Subject: Re: [nfsv4] FYI on an update to "RDMA Flush" I-D and IETF107

From: Tom Talpey <[email-masked]>
Date: Mon, 2 Mar 2020 19:01:45 +0000

Yes, I’m fine with presenting as I said, and thanks Chuck for reforwarding and summarizing. Ten minutes is good. Here’s an agenda proposal:

RDMA Extensions/Tom Talpey/10min

Background and upcoming outlook for extensions to RDDP protocols in support of memory placement and “push mode”. Discussion of whether NFSv4 is an appropriate working group for the effort, in place of former RDDP.

From: nfsv4 <[email-masked]> On Behalf Of David Noveck
Sent: Monday, March 2, 2020 9:57 AM
To: Chuck Lever <[email-masked]>
Cc: Tom Talpey <[email-masked]>; nfsv4-chairs <[email-masked]>; NFSv4 <[email-masked]>
Subject: [EXTERNAL] Re: [nfsv4] FYI on an update to "RDMA Flush" I-D and IETF107

Assuming Tom is OK with making this presentation, I will add it to the next iteration of the agenda.

To keep ten minutes available we will have to enforce time discipline for existing talks..

If Tom does not provide a short description by EOD tomorrow, I will do my best to boil down Chuck's reasonable list into something that fits the existing agenda format.

On Mon, Mar 2, 2020 at 11:36 AM Chuck Lever <[email-masked]<mailto:[email-masked]>> wrote:
[ Cc: corrected ]

> On Mar 1, 2020, at 12:41 PM, Tom Talpey <[email-masked]<mailto:[email-masked]>> wrote:
>
> A couple of things FYI.
>
> - I am updating the draft-talpey-rdma-commit document* in
> advance of IETF107. This is an iWARP extension in support of
> RDMA access to persistent memory, although it is somewhat more
> general than simply pmem. There is a parallel effort in IBTA.
>
> - Because there is no longer an RDDP working group, one option
> discussed in the past with several WG chairs and Transport ADs was
> to move this forward in the NFSv4 WG. With the new chair situation,
> and the document republication, it may be worthwhile to discuss
> this again. I believe there is good merit to the idea.
>
> - I plan to attend IETF107 NFSv4 WG meeting, but can only be
> there one day. I hope to discuss this further there. If you
> would like me to say something as part of the agenda, I am
> happy to do so.
>
> Tom.
>
>
> * https://datatracker.ietf.org/doc/draft-talpey-rdma-commit/

The final IETF 107 session agenda has been published, and now both
nfsv4 WG sessions are planned for Thursday afternoon.

I propose the addition of a 10-minute session led by Tom, if there
is room on the nfsv4 agenda, to discuss the following matters:

- A review of the material for those unfamiliar with RDMA Flush
- Whether this work falls in the current WG charter
- Whether the I-D should be adopted as an nfsv4 WG document
- Whether a milestone is needed
- Whether this is a one-time proposal, or if we are agreeing
  that until there is another IETF home for RDMA-related documents,
  the nfsv4 WG should act as shepherd for such work.

--
Chuck Lever